/*
 * Copyright 2016 Google Inc. All Rights Reserved.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

package com.google.samples.apps.ourstreets.view;

import android.graphics.Rect;
import android.support.v7.widget.RecyclerView;
import android.view.View;

/**
 * Divider for items within the Gallery {@link android.support.v7.widget.RecyclerView}.
 */
public class GalleryDivider extends RecyclerView.ItemDecoration {

    private final int mItemMargin;

    public GalleryDivider(int itemMargin) {
        mItemMargin = itemMargin;
    }

    @Override
    public void getItemOffsets(Rect outRect, View view,
                               RecyclerView parent, RecyclerView.State state) {
        outRect.top = mItemMargin;
        outRect.bottom = mItemMargin;
        outRect.left = mItemMargin;
        outRect.right = mItemMargin;
    }

}
